rte_event_dma_adapter_stats(3)

NAME
rte_event_dma_adapter_stats

SYNOPSIS

#include <rte_event_dma_adapter.h>

  Data Fields

uint64_t event_poll_count
uint64_t event_deq_count
uint64_t dma_enq_count
uint64_t dma_enq_fail_count
uint64_t dma_deq_count
uint64_t event_enq_count
uint64_t event_enq_retry_count
uint64_t event_enq_fail_count

Detailed Description

A structure used to retrieve statistics for an event DMA adapter instance.

Definition at line 240 of file rte_event_dma_adapter.h.

Field Documentation

  uint64_t event_poll_count
Event port poll count

Definition at line 241 of file rte_event_dma_adapter.h.

  uint64_t event_deq_count
Event dequeue count

Definition at line 244 of file rte_event_dma_adapter.h.

  uint64_t dma_enq_count
dmadev enqueue count

Definition at line 247 of file rte_event_dma_adapter.h.

  uint64_t dma_enq_fail_count
dmadev enqueue failed count

Definition at line 250 of file rte_event_dma_adapter.h.

  uint64_t dma_deq_count
dmadev dequeue count

Definition at line 253 of file rte_event_dma_adapter.h.

  uint64_t event_enq_count
Event enqueue count

Definition at line 256 of file rte_event_dma_adapter.h.

  uint64_t event_enq_retry_count
Event enqueue retry count

Definition at line 259 of file rte_event_dma_adapter.h.

  uint64_t event_enq_fail_count
Event enqueue fail count

Definition at line 262 of file rte_event_dma_adapter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.